Creates a new Service
POST/qsystem/rest/config/services
Creates a new Service.
Minimal request:
curl -u user:password -i -X POST -H 'content-type:application/json' -d '{"internalName":"Name"}' http://orchestra-host:orchestra-port/qsystem/rest/config/services
Request with complete object:
curl -u user:password -i -X POST -H 'content-type:application/json' -d
'{"internalName":"Internal name","internalDescription":"Internal description","externalName":"External name","externalDescription":"External description","targetServingTime":300,"ticketTemplateId":45,"mobileEnabled":false,"bookingEnabled":false,"outcomes":[50, 150]}'
http://orchestra-host:orchestra-port/qsystem/rest/config/services
-
If no external name is given, it will be set to the internal name.
-
If no targetServingTime is set, it will default to 300.
-
If no ticket template is set, a ticket template will be set (usually the default ticket template).
-
If not set, bookingEnabled and mobileEnabled will default to false.
Request
Responses
- 201
An Service